<div class="container">
  <div class="top-page">
    <span class="title">Calculators</span>
    <mat-form-field>
      <mat-select placeholder="-- Select Calculator --" [(value)]="selected" disableRipple
        (selectionChange)="navigateTo($event)">
        <mat-option *ngFor="let option of options" [value]="option.id">
          {{ option.label }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <div class="cover-radio" *ngIf="selected === 'net-confining-stress'">
      <span class="text-radio">unit</span>
      <mat-radio-group aria-label="Select an option" [(ngModel)]="txtUnit" (change)="changeValueFeetToMeter($event)">
        <mat-radio-button value="ft">Feet</mat-radio-button>
        <mat-radio-button value="m">Meters</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="top-btn" *ngIf="selected !== null">
      <button mat-button class="btn-calculator export" *ngIf="showTableCalculator" (click)="exportFileCSV(selected)">Export to
        CSV</button>
      <button mat-button class="btn-calculator" [disabled]="!showBtnCalculator"
        (click)="showCalculator(selected)">Calculate</button>
    </div>
    <!-- end/top btn -->
  </div>
  <div class="group-content">
    <div class="tab-black-oil-properties" *ngIf="selected === 'black-oil-properties'">
      <xrd-black-oil-properties #blackOilProperties (callback)="callbackBlackOilProperties($event)"></xrd-black-oil-properties>
    </div>
    <div class="tab-net-confining-stress" *ngIf="selected === 'net-confining-stress'">
      <xrd-net-confining-stress #netConfiningStress (callback)="callbackNetConfiningStress($event)"></xrd-net-confining-stress>
    </div>
  </div>
  <!-- end/cover page -->
</div>
<!-- end/kcomtaomer -->